# Retrieve a business entity

> For the complete machine-readable documentation index, see [llms.txt](https://apidocs.chargebee.com/llms.txt).


[Strongly Consistent](/docs/api/read-consistency)

Retrieves the `business_entity` resource identified by the specified unique identifier.

## Sample Request

#### Chargebee CLI

```bash
chargebee business-entity retrieve __test__KyVnHhSBWlF0Q2dg
```

#### cURL

```bash
curl  https://{site}.chargebee.com/api/v2/business_entities/__test__KyVnHhSBWlF0Q2dg \
     -u {site_api_key}:
```

#### .NET

```dotnet
using ChargeBee.Api;
using ChargeBee.Models;

ApiConfig.Configure("{site}","{site_api_key}");
EntityResult result = BusinessEntity.Retrieve("__test__KyVnHhSBWlF0Q2dg").Request();

BusinessEntity businessEntity = result.BusinessEntity;
```

#### Go

```go
package main
import (
    "fmt"
    "github.com/chargebee/chargebee-go/v3"
    businessentityAction "github.com/chargebee/chargebee-go/v3/actions/businessentity"
)
func main() {
    chargebee.Configure("{site_api_key}","{site}");
    res,err := businessentityAction.Retrieve("__test__KyVnHhSBWlF0Q2dg").Request()
    if err != nil {
        fmt.Println(err)
    } else {
        BusinessEntity := res.BusinessEntity
    }
}
```

#### Go

```go
package main

import (
  "fmt"
  "github.com/chargebee/chargebee-go/v4"
)

func main() {
  config := &chargebee.ClientConfig{
    SiteName: "{site}",
    ApiKey: "{site_api_key}",
  }    
  client := chargebee.NewClient(config)
  req := &chargebee.BusinessEntityRetrieveRequest{
    Id : "__test__KyVnHhSBWlF0Q2dg",
}
  res, err := client.BusinessEntity.Retrieve(req)
      if err != nil {
        fmt.Println(err)
    } else {
        BusinessEntity := res.BusinessEntity
    }
}
```

#### Java

```java
import com.chargebee.*;
import com.chargebee.ListResult;
import com.chargebee.models.*;
import com.chargebee.models.enums.*;
import java.io.IOException;

public class Sample {

    public static void main(String args[]) throws IOException, Exception {
        Environment.configure("{site}", "{site_api_key}");
        Result result = BusinessEntity.retrieve("__test__KyVnHhSBWlF0Q2dg").request();

        BusinessEntity businessEntity = result.businessEntity();
    }
}
```

#### Java

```java
import com.chargebee.v4.client.ChargebeeClient;
import com.chargebee.v4.models.businessEntity.BusinessEntity;
import com.chargebee.v4.models.businessEntity.params.BusinessEntityRetrieveParams;
import com.chargebee.v4.models.businessEntity.responses.BusinessEntityRetrieveResponse;

public class BusinessEntityRetrieve {

    public static void main(String[] args) {
        ChargebeeClient client = ChargebeeClient.builder()
            .apiKey("{site_api_key}")
            .siteName("{site}")
            .build();

        BusinessEntityRetrieveResponse response = client.businessEntities().retrieve("__test__KyVnHhSBWlF0Q2dg");

        BusinessEntity businessEntity = response.getBusinessEntity();
    }
}
```

#### Node.js

```node
import Chargebee from "chargebee";

const chargebee = new Chargebee({
    site: "{site}",
    apiKey: "{site_api_key}",
});

try {
    const result = await chargebee.businessEntity.retrieve("__test__KyVnHhSBWlF0Q2dg");

    console.log(result);
    const businessEntity = result.business_entity;
} catch (err) {
    console.log(err);
}
```

#### PHP

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use Chargebee\ChargebeeClient;

$chargebee = new ChargebeeClient(options: [
    "site" => "{site}",
    "apiKey" => "{site_api_key}",
]);
$result = $chargebee->businessEntity()->retrieve("__test__KyVnHhSBWlF0Q2dg");
$businessEntity = $result->business_entity;
```

#### Python

```python
from chargebee import Chargebee

cb_client = Chargebee(api_key="{site_api_key}", site="{site}")
response = cb_client.BusinessEntity.retrieve("__test__KyVnHhSBWlF0Q2dg")
business_entity = response.business_entity
```

#### Ruby

```ruby
require 'chargebee'

ChargeBee.configure(:site => "{site}",
  :api_key => "{site_api_key}")

result = ChargeBee::BusinessEntity.retrieve("__test__KyVnHhSBWlF0Q2dg")

business_entity = result.business_entity
```

## Sample Response

```json
{
  "business_entity": {
    "id": "__test__KyVnHhSBWlF0Q2dg",
    "name": "Acme Inc",
    "object": "business_entity",
    "resource_version": 1517505747000,
    "status": "active",
    "updated_at": 1517505747,
    "created_at": 1517505747,
    "deleted": false
  }
}
```

## URL Format

**GET** https://[site].chargebee.com/api/v2/business_entities/{business-entity-id}

## Returns

- `business_entity` (Business entity object)
  Resource object representing `business_entity` .
